Bug 209059 - TopComponent.getShortName()
TopComponent.getShortName()
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
7.2
All All
: P2 (vote)
: 7.2
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-01 15:31 UTC by Stanislav Aubrecht
Modified: 2012-03-08 11:03 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments
proposed API changes (2.30 KB, patch)
2012-03-01 15:36 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2012-03-01 15:31:47 UTC
Some TopComponents include the name of activated Node in their display name, for example Navigator or Properties windows. Such display name can be very long and in some cases a shorter window name is needed.
Comment 1 Stanislav Aubrecht 2012-03-01 15:36:03 UTC
Created attachment 116255 [details]
proposed API changes
Comment 2 Stanislav Aubrecht 2012-03-06 09:28:05 UTC
i'll intergrate the changes tomorrow
Comment 3 Stanislav Aubrecht 2012-03-07 09:42:49 UTC
core-main 617ee0d41c2c
Comment 4 Quality Engineering 2012-03-08 11:03:57 UTC
Integrated into 'main-golden', will be available in build *201203080400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/617ee0d41c2c
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #209059 - TopComponent.getShortName()


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo